// Types for compiled templates
declare module '@choiceform/ui-foundation/templates/*' {
  import { TemplateFactory } from 'htmlbars-inline-precompile';
  const tmpl: TemplateFactory;
  export default tmpl;
}

// Types for css module importing
declare module '*.scss' {
  const styles: { [property: string]: string };
  export default styles;
}

// Type for `Ember.libraries.register` function
declare namespace Ember {
  namespace libraries {
    function register(identity: string, version: string): void;
  }
}
